import { connect, Dispatch } from 'react-redux';
import {
  SensorDetailInfo,
  SensorDetailInfoStateProps,
  SensorDetailInfoDispatchProps,
} from './components/SensorDetailInfo';
import State from '../redux/state/Read';

import * as ReadActions from '../redux/action/read';
import Target from '@overflow/target/api/model/Target';
import Sensor from '@overflow/sensor/api/model/Sensor';

import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';

export function mapStateToProps(state: any, props: any): SensorDetailInfoStateProps {
  return {
    sensorId:props.params.id,
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): SensorDetailInfoDispatchProps {
  return {
    onRead: (id: number) => {
      dispatch(asyncRequestActions.request('SensorService', 'read', ReadActions.REQUEST, id));
    },
  };
}


export default connect(mapStateToProps, mapDispatchToProps)(SensorDetailInfo);
